Subject: RE: What are the opt-in issues

From: Dave Crocker <[email-masked]>
Date: Wed, 12 Jun 2002 09:20:37 -0700

At 10:37 AM 6/12/2002 -0400, Phill wrote:
>[ post by non-subscriber.  with the massive amount of spam, it is easy to
>   miss and therefore delete mis-posts.  so fix subscription addresses! ]
>
> >this is drivel.  i can ask whomever i want for any advice i want any
> >time i want.  jeezus!
>NOT NOT if you are telling the group that you won't talk to them until
>secret deliberations are complete.

Phill,

You are nit-picking a discussion sequencing issue and are thereby entirely 
missing the point that is critical.  So, you need to stop this line of debate.

Anyone may talk with anyone at any time.  It can be an open discussion.  It 
can be closed.  It can be with a group or it can be with an 
individual.  They may talk with folk in any sequence they wish.

What is NOT allowed is making a working group decision without 
collaborating with the working group and reaching rough consensus.

So, has the working group chair (or AD) asserted a decision without the 
requisite collaboration with, and rough consensus from, the working group?

If the answer is no, then this whole thread is a complete waste.  If the 
answer is yes, then there is a serious problem.

d/

----------
Dave Crocker <mailto:[email-masked]>
TribalWise, Inc. <http://www.tribalwise.com>
tel +1.408.246.8253; fax +1.408.850.1850

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>

---

From: Paul Vixie <[email-masked]>
Date: 12 Jun 2002 09:40:00 -0700

Dave wrote, in response to Phill:

> missing the point that is critical.

I want to make sure that *my* real point doesn't get lost amongst all of
these other threads.

DNSSEC standardization has been horribly bungled, both in the opt-in issue
and at every significant previous juncture.  What passes for "management"
in the IETF has completely failed here, and is failing now.

And that's without even counting the horrible A6/DNAME screwups.

Phill and I have not seen eye to eye on many things, but we're singing from
the same song book on this issue: THROW THE BUMS OUT.
-- 
Paul Vixie

---

From: Dave Crocker <[email-masked]>
Date: Wed, 12 Jun 2002 10:11:24 -0700

>the same song book on this issue: THROW THE BUMS OUT.

Paul,

The IETF has procedures for challenging management actions.  The procedures 
seem to work pretty well, except when they are not used.

The procedures do not include calling for management changes on the working 
group mailing list.

d/

----------

---

From: Randy Bush <[email-masked]>
Date: Wed, 12 Jun 2002 10:25:18 -0700

> requisite collaboration with, and rough consensus from, the working group?

nope.  for the fourth time

    To: "Matt Larson" <[email-masked]>
    Subject: Re: Opt-in Decission day: Postponed
    From: Randy Bush <[email-masked]>
    Date: Thu, 06 Jun 2002 12:19:38 -0700
    Cc: "Olafur Gudmundsson" <[email-masked]>, 
	"DNSEXT mailing list"<[email-masked]>

    > Could the chairs please give an update regarding Opt-in?

    major pushback from the dns directorate.  we've been talking with
    roy to try and get more comfortable with it.  roy and rob are working
    on documenting an analysis.  patience.

randy

---

From: Dave Crocker <[email-masked]>
Date: Wed, 12 Jun 2002 11:13:50 -0700

>nope.  for the fourth time

excellent.

Are there issues beyond what Roy posted on Monday in "Please state the 
'attacks' in public"?

Seems like it would be helpful for the chairs to summarize the pending 
issues and what process is needed to resolve them.

d/

----------

---

From: Randy Bush <[email-masked]>
Date: Wed, 12 Jun 2002 13:09:29 -0700

> issues and what process is needed to resolve them.

sadly, i am old and stupid, no where near as smart as most folk
posting here seem to be.  i don't have all the answers.  heck, i am
not sure i have all the questions.  as i just said to my co-chair

> focus on trying to understand the technical issues (i don't
> completely understand the ones i have heard so far, and am not
> sure i have heard them all.  i am surprised you are so sure of
> yourself), and the rest will follow.

which is why i too am waiting to see what roy and rob say and using
my delete key liberally.  but, as i said before, that new questions
/ issues keep arising is part of what scares the heck out of me.
rob mentioned this as worrying him as well.

randy

---

From: Erik Nordmark <[email-masked]>
Date: Thu, 13 Jun 2002 15:05:02 +0200 (CEST)

> Are there issues beyond what Roy posted on Monday in "Please state the 

Disclaimer: I'm far from an expert in the technical issues here.

As far as I can tell Roy's note summarizes the known technical issues
that were discussed in Holland.

I (and I think others) have meta-concerns which are a lot harder to deal with.
They relate to handling the unknown; folks seem to be discovering
new techncial corner cases at some rate. Is this rate increasing or
decreasing over time? If it isn't quickly decreasing then there is
a significant risk that folks might discover a corner case which is
a lot tricker to handle than the ones discovered so far.

My personal feeling (see disclaimer above) is that the opt-in document
describes the behavior of the server and what goes over the wire.
But there isn't a detailed description of what a resolver (whether caching
or not) needs to do to verify, cache, and correlate things that I can
look at it and feel comfortable that folks have been looking for holes
in such a description and found none.

I don't know how hard it would be to produce such a description, and how
useful it would be to the folks that understand this better.

  Erik